| Home | Libraries | People | FAQ | More

## Function contains

boost::algorithm::contains — 'Contains' predicate

## Synopsis

    // In header: <boost/algorithm/string/predicate.hpp>

    template<typename Range1T, typename Range2T, typename PredicateT>
      bool contains(const Range1T & Input, const Range2T & Test, PredicateT Comp);
    template<typename Range1T, typename Range2T>
      bool contains(const Range1T & Input, const Range2T & Test);

## Description

This predicate holds when the test container is contained in the Input. When the optional predicate is specified, it is used for character-wise comparison.

| Note
This function provides the strong exception-safety guarantee

Parameters:

`Comp` | An element comparison predicate
`Input` | An input sequence
`Test` | A test sequence

Returns: | The result of the test